#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Python implementation of Jean Meeus astronomical routines
Summary(pl.UTF-8):	Pythonowa implementacja procedur astronomicznych Jeana Meeusa
Name:		python-pymeeus
Version:	0.5.12
Release:	1
License:	LGPL v3
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pymeeus/
Source0:	https://files.pythonhosted.org/packages/source/p/pymeeus/PyMeeus-%{version}.tar.gz
# Source0-md5:	747081f3b6809821b94ac832d9e30b10
# https://github.com/architest/pymeeus/commit/f064abfda6b3cb48cb42a6827cd250413056f227
Patch0:		PyMeeus-pytest7.2.patch
# from Fedora
Patch1:		PyMeeus-sphinx8.patch
URL:		https://pypi.org/project/PyMeeus/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest >= 3.0.1
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 3.0.1
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyMeeus is a Python implementation of the astronomical algorithms
described in the classical book 'Astronomical Algorithms, 2nd Edition,
Willmann-Bell Inc. (1998)' by Jean Meeus.

%description -l pl.UTF-8
PyMeeus to pythonowa implementacja algorytmów astronomicznych
opisanych w klasycznej książce "Astronomical Algorithms" (wydanie 2.,
Willmann-Bell Inc. 1998) Jeana Meeusa.

%package -n python3-pymeeus
Summary:	Python implementation of Jean Meeus astronomical routines
Summary(pl.UTF-8):	Pythonowa implementacja procedur astronomicznych Jeana Meeusa
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.6

%description -n python3-pymeeus
PyMeeus is a Python implementation of the astronomical algorithms
described in the classical book 'Astronomical Algorithms, 2nd Edition,
Willmann-Bell Inc. (1998)' by Jean Meeus.

%description -n python3-pymeeus -l pl.UTF-8
PyMeeus to pythonowa implementacja algorytmów astronomicznych
opisanych w klasycznej książce "Astronomical Algorithms" (wydanie 2.,
Willmann-Bell Inc. 1998) Jeana Meeusa.

%package apidocs
Summary:	API documentation for Python pymeeus module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pymeeus
Group:		Documentation

%description apidocs
API documentation for Python pymeeus module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pymeeus.

%prep
%setup -q -n PyMeeus-%{version}
%patch -P0 -p1
%patch -P1 -p1

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.md
%{py_sitescriptdir}/pymeeus
%{py_sitescriptdir}/PyMeeus-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pymeeus
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/pymeeus
%{py3_sitescriptdir}/PyMeeus-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_modules,_static,bodies,core,examples,*.html,*.js}
%endif
%changelog
* Mon Jul 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pymeeus.git;a=log;h=master

* Mon Jul 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 36ac7ac
- new

